Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453065 - nash gets a SIGSEGV from libc.so.6 when installing the kernel
Summary: nash gets a SIGSEGV from libc.so.6 when installing the kernel
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 8
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 01:17 UTC by Peter Williams
Modified: 2009-01-09 06:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:38:26 UTC


Attachments (Terms of Use)
Output of valgrind -v --leak-check=full calling /sbin/installkernel (deleted)
2008-06-28 01:26 UTC, Peter Williams
no flags Details

Description Peter Williams 2008-06-27 01:17:43 UTC
Description of problem:

nash gets a SIGSEGV from libc.so.6 when installing the kernel

Version-Release number of selected component (if applicable):

glibc-2.7-2
nash-6.0.19-4.fc8
mkinitrd-6.0.19-4.fc8

How reproducible:

Very.

Steps to Reproduce:

1. Build a kernel.
2. run "make modules_install"
3. run "make install"
4. get SIGSEGV from nash

Actual results:

[peter@mudlark latest-2.6]$ sudo make install
make -C /home/peter/SRC/KERNELS/Vanilla/linux-2.6
O=/home/peter/SRC/KERNELS/Vanilla/build/latest-2.6/. install
sh /home/peter/SRC/KERNELS/Vanilla/linux-2.6/arch/x86/boot/install.sh 2.6.26-rc5
arch/x86/boot/bzImage System.map "/boot"
nash received SIGSEGV!  Backtrace (29):
/sbin/nash[0x40c7c9]
/lib64/libc.so.6[0x3608630f30]
/lib64/libc.so.6[0x3608670813]
/lib64/libc.so.6[0x3608672f3d]
/lib64/libc.so.6(__libc_malloc+0x7a)[0x36086748fa]
/lib64/libc.so.6[0x3608696962]
/lib64/libc.so.6(opendir+0x58)[0x3608696a88]
/usr/lib64/libnash.so.6.0.19(nash_wrap_opendir+0x26)[0x2aaaaaad5b42]
/usr/lib64/libbdevid.so.6.0.19[0x2aaaaaceee17]
/usr/lib64/libbdevid.so.6.0.19(bdevid_sysfs_find_node+0x49)[0x2aaaaaceefb3]
/usr/lib64/libbdevid.so.6.0.19(bdevid_probe+0x9e)[0x2aaaaacee9db]
/usr/lib64/libnash.so.6.0.19(probe_bdevid+0xc8)[0x2aaaaaae241b]
/usr/lib64/libnash.so.6.0.19(nash_vitals_probe+0x19c)[0x2aaaaaae2828]
/usr/lib64/libnash.so.6.0.19[0x2aaaaaade3a6]
/usr/lib64/libnash.so.6.0.19[0x2aaaaaade52f]
/usr/lib64/libnash.so.6.0.19(nash_dev_tree_process_bdev+0xdd)[0x2aaaaaadd0fc]
/usr/lib64/libnash.so.6.0.19[0x2aaaaaadd409]
/usr/lib64/libnash.so.6.0.19[0x2aaaaaadd5d2]
/usr/lib64/libnash.so.6.0.19(nash_dev_tree_add_sysfs_dir+0x3e)[0x2aaaaaadd32e]
/usr/lib64/libnash.so.6.0.19(nash_dev_tree_populate_from_sysfs+0x1c)[0x2aaaaaadd668]
/usr/lib64/libnash.so.6.0.19(nashBdevIterNewPoll+0x7d)[0x2aaaaaad8cd3]
/usr/lib64/libnash.so.6.0.19[0x2aaaaaad9036]
/usr/lib64/libnash.so.6.0.19(nashFindFsByLabel+0x24)[0x2aaaaaad91cf]
/usr/lib64/libnash.so.6.0.19(nashAGetPathBySpec+0x67)[0x2aaaaaad9325]
/sbin/nash[0x408536]
/sbin/nash[0x40c67c]
/sbin/nash[0x40ccb2]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x360861e074]
/sbin/nash[0x404179]




Expected results:


Additional info:

Comment 1 Jakub Jelinek 2008-06-27 15:38:27 UTC
That is most probably a memory handling error in nash.  Use some memory
allocation debugger (valgrind, ElectricFence, MALLOC_CHECK_=3, ...).

Comment 2 Peter Williams 2008-06-28 01:26:58 UTC
Created attachment 310491 [details]
Output of valgrind -v --leak-check=full calling /sbin/installkernel

Attached is the output obtained by using valgrind to call /sbin/installkernel
in the kernel source's install.sh.  When the bug occurs the make hangs (with no
apparent CPU activity) and I have to do a control-C to end the process.

I've also noticed that yum update to kernel-2.6.25.4-10.fc8 and
kernel-2.6.25.6-27.fc8 we're only partially successful in that although rpm
thinks they're installed they don't show up in the boot sequence.

I think this is a manifestation of this bug.

Comment 3 Kuba Ober 2008-07-02 05:58:11 UTC
Please flag as dupe of 443332, it's a manifestation of the same problem 
methinks.

Comment 4 Richard W.M. Jones 2008-09-21 17:21:24 UTC
Isn't this also a dupe of bug 426408?

Comment 5 Bug Zapper 2008-11-26 10:55:41 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-01-09 06:38:26 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.